#
# spec file for package scim-anthy (Version 0.8.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl anthy anthy-devel atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libgssapi libjpeg libmudflap libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl orbit2 pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm scim scim-devel sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           scim-anthy
BuildRequires:  anthy-devel gcc-c++ gtk2-devel scim-devel update-desktop-files
Version:        0.8.0
Release:        14.4
License:        LGPL v2.1 or later
Group:          System/I18n/Japanese
AutoReqProv:    on
Provides:       locale(scim:ja)
Url:            http://sourceforge.jp/projects/scim-imengine/
Source0:        http://osdn.dl.sourceforge.jp/scim-imengine/17699/scim-anthy-0.8.0.tar.bz2
Patch0:         commit-when-focus-out.patch
Patch1:         libtool-autoconf.patch
Patch355863:    bnc355863-add-Eisu_toggle-to-default-keybindings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Anthy Input Method Engine for SCIM

%description
Anthy Input Method Engine for SCIM



Authors:
--------
    Hiroyuki Ikezoe <poincare@ikezoe.net>
    Takuro Ashie <ashie@homa.ne.jp>

%debug_package
%prep
%define build_setup     1
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch355863 -p1

%build
libtoolize --force
autoreconf -I /opt/gnome/share/aclocal --force --install --verbose
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} \
            --disable-static \
	    --enable-debug
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/IMEngine/anthy.{a,la}
rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/SetupUI/anthy-imengine-setup.{a,la}
%find_lang scim-anthy

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files -f scim-anthy.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%dir %{_libdir}/scim-1.0/
%dir %{_libdir}/scim-1.0/IMEngine/
%{_libdir}/scim-1.0/IMEngine/anthy.so
%if %{build_setup}
%dir %{_libdir}/scim-1.0/SetupUI/
%{_libdir}/scim-1.0/SetupUI/anthy-imengine-setup.so
%endif
%{_libdir}/scim-1.0/1.?.?/Helper/anthy-imengine-helper.*
%dir %{_datadir}/scim/icons/
%{_datadir}/scim/icons/scim-anthy.png
%{_datadir}/scim/icons/scim-anthy-dict.png
%{_datadir}/scim/icons/scim-anthy-swap-colors.png
%dir %{_datadir}/scim/Anthy/
%{_datadir}/scim/Anthy/*

%changelog
* Mon Feb 11 2008 - mfabian@suse.de
- bnc#355863, comment #29-#31: add the keysymbol Eisu_toggle to
  the default ON/OFF keys in the default keybinding theme.
* Thu Feb 23 2006 - mfabian@suse.de
- add "Provides: locale(scim:ja)"
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - mfabian@suse.de
- update to 0.8.0.
* Thu Sep 01 2005 - mfabian@suse.de
- Bugzilla #114736: use patch extracted from upstream changes
  to fix the keybinding problem and plug a memory leak.
* Wed Aug 03 2005 - mfabian@suse.de
- update to 0.6.0. Changes according to the NEWS file:
  + Method of loading romaji table has been changed.
  Old user settings will be cleared when you change it by scim-setup.
  + Add preedit color preference.
  + Add some prefereneces for lookup window.
  + Add AZIK extended romaji table.
  + Enable to customize kana typing table.
  + Add a kana table for 101 keyborad.
  + Support kana key symbols of X Window System.
  But this feature has some limitations:
      - You can't switch to X's kana typing mode from scim-anthy.
  You should customize /etc/X11/xorg.conf to switch it.
  See http://ikumi.revery.net/cmp/kanainputonx.htm for more details.
      - Typing method indicator on the panel can't indicate X's kana lock state.
  + Experimental NICOLA support.
  + Other minor fixes.
  + Fix a wrong key binding in the Microsoft IME like key bindings.
  + The bug that preferences of period, comma and width of numbers aren't
  applied correctly has been fixed.
* Mon Jul 04 2005 - mfabian@suse.de
- update to 0.5.0.
* Tue Jun 07 2005 - mfabian@suse.de
- adapt the patch to commit the preedit string when switching of
  the input method and when moving the focus to a different window
  to the new version.
* Fri Jun 03 2005 - mfabian@suse.de
- update to 0.4.2.
* Tue Feb 15 2005 - mfabian@suse.de
- update to 0.3.1.
* Mon Dec 13 2004 - mfabian@suse.de
- Bugzilla #47019: apply patch provided by Zhe Su <zsu@novell.com>
  to commit the preedit string when switching of the input method
  and when moving the focus to a different window.
* Thu Dec 09 2004 - mfabian@suse.de
- new package: scim-anthy, version 0.2.0.
